Query parameters are key-value pairs added to an API request to filter, sort, or otherwise control the data returned. They are appended to the endpoint after a '?' and are separated by '&' when using multiple parameters.
Parameter key-value pairs supported by eLogii's API include:The sort parameter arranges response data in a specific order.GET https://api-35.elogii.com/tasks?sort=_id&date=20250812
This retrieves tasks for 12-08-2025 sorted by the task _id. This restricts the size of the response payload.It's useful for large datasets.GET https://api-35.elogii.com/drivers?limit=2
It returns only two driver profiles instead of the full dataset(all driver profiles). eLogii’s API supports MongoDB-style:- $regrex(regular expressions for pattern matching) and $type(for data type checks).Example:
GET /tasks?date=20250813&filter={"customData.Priority":{"$regex":"11$"}}
This returns tasks for 13-08-2025 where the custom data-Piriority ends with 11. This key specifies which fields to return in the response.GET /drivers?select=lastName
This returns only the driver's lastName and mandatory _id field. Using Entity Data as Query Parameters#
Entity data (UID, driver name, route ID, task reference, customer name, task dates, etc.) can be used as query parameters.GET /routes?date=20250813
This returns route data for 13-08-2025.